import { FontSize } from "@/utils/scale";
import { Text, TextProps } from "react-native";
interface Props extends TextProps {
  size?: keyof typeof FontSize;
}

export default function AppText({ size = "sm", style, ...props }: Props) {
  return <Text {...props} style={[{ fontSize: FontSize[size] }, style]} />;
}
